io.milvus.param.collection

## Class HasCollectionParam.Builder

- java.lang.Object
- - io.milvus.param.collection.HasCollectionParam.Builder

Enclosing class:
  HasCollectionParam

    public static final class HasCollectionParam.Builder
    extends java.lang.Object

Builder for `HasCollectionParam` class.

### Method Summary

All Methods Instance Methods Concrete Methods
`HasCollectionParam` `build()` Verifies parameters and creates a new `HasCollectionParam` instance.
`HasCollectionParam.Builder` `withCollectionName(@NonNull java.lang.String collectionName)` Sets the collection name.
`HasCollectionParam.Builder` `withDatabaseName(java.lang.String databaseName)` Sets the database name.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### withDatabaseName

    public HasCollectionParam.Builder withDatabaseName(java.lang.String databaseName)

Sets the database name.

Parameters:
  `databaseName` - database name
Returns:
  `Builder`

#### withCollectionName

    public HasCollectionParam.Builder withCollectionName(@NonNull
                                                         @NonNull java.lang.String collectionName)

Sets the collection name. Collection name cannot be empty or null.

Parameters:
  `collectionName` - collection name
Returns:
  `Builder`

#### build

    public HasCollectionParam build()
                             throws ParamException

Verifies parameters and creates a new `HasCollectionParam` instance.

Returns:
  `HasCollectionParam`
Throws:
  `ParamException`